summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin268257 -> 268265 bytes
-rw-r--r--dev-python/aiohttp-socks/Manifest2
-rw-r--r--dev-python/aiohttp-socks/aiohttp-socks-0.8.1.ebuild40
-rw-r--r--dev-python/argparse-manpage/Manifest2
-rw-r--r--dev-python/argparse-manpage/argparse-manpage-4.4.ebuild41
-rw-r--r--dev-python/django/Manifest9
-rw-r--r--dev-python/django/django-3.2.21.ebuild109
-rw-r--r--dev-python/django/django-4.1.11.ebuild97
-rw-r--r--dev-python/django/django-4.2.5.ebuild98
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.84.0.ebuild91
-rw-r--r--dev-python/imageio/Manifest2
-rw-r--r--dev-python/imageio/imageio-2.31.3.ebuild82
-rw-r--r--dev-python/sphinxcontrib-apidoc/Manifest2
-rw-r--r--dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.4.0.ebuild41
15 files changed, 618 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 764119d7e382..a686b1c9d1dc 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aiohttp-socks/Manifest b/dev-python/aiohttp-socks/Manifest
index 2201473a08ad..d1340f5ac28f 100644
--- a/dev-python/aiohttp-socks/Manifest
+++ b/dev-python/aiohttp-socks/Manifest
@@ -1,3 +1,5 @@
DIST aiohttp-socks-0.8.0.gh.tar.gz 13190 BLAKE2B 049655c526b5d7b64af79ef5f885d0f949edf1eeb4f3fb6e8a3cfc97738ebeb4663d68017761808279e938f477f9509123d8d6c6f4133287d1743dc2a8a021ed SHA512 e533be7059ee6914f919f5113596708732f70f4f1093adaccc6a829699c2aea157897c5398d9134acb0b2a11c8118f9d4f453792d8d8d14b10b207ca19ada2e7
+DIST aiohttp-socks-0.8.1.gh.tar.gz 13336 BLAKE2B 39ad70fe9f1eb8d4f743c4d65dafb82c0878808b0861f899b12ba437ef80a9e4f077485c37fb8267588ac307446ea0c2d26c02de05cd3f44a76896610cc85cc4 SHA512 f8d30d6c6aa32968bbcf075d016ecc542835f6bdc2f0bbe1ffa06e580ab851a4f5abdac8d008e639d0cff49829a299afa42a80e159d7fece67439e5384817d85
EBUILD aiohttp-socks-0.8.0.ebuild 920 BLAKE2B 00e698346e2fcf30fccac41fe73826ccaf87157379ae3085f2ef11cac9f39257d728c310356c720de4794e720478071af95f7cab293ff244c0ffab566bcebb2d SHA512 d4deb1d958d3f9add52a4b0bd645b9fc8de700fb07ec2f2c082d15dc7a50e121573be35b89225c404f4071e8cf3cc3859329e49b38ad300964b786be34b91865
+EBUILD aiohttp-socks-0.8.1.ebuild 922 BLAKE2B f6b7e220b9f0e52a393b1eb85bcb3a8a76cbe9fdec5e0b500241e51edeba78b47b77b7e3c21fa54e05cd9f85b694928fe89716ed7ff5f1f5774e7ca74d2c40a6 SHA512 39a3159814d49fa694c6a296ff54c100e7fa49c8914c5a1a08fd203eb21ad94e9c86c9430068f12307bf2a2103a31282ed3a759779c31a720462d7459a1ab393
MISC metadata.xml 417 BLAKE2B d4d70073cac054e8ce04d03c7087377b3b9b420f1f4352da54de0f6f5ca836cb49774307f01df383888bac24a2bcf9a1c2ab6920f8be16ebdb40e80c253c65ff SHA512 79af7d419eb9fe518ca8ea2a6bd4e2e1cfed7b00a032fbfdc4b05d6c59d9d7ecddd789a70a3db890a55335f293b6ebbc35f74dd73968de82e5147c991534cc6a
diff --git a/dev-python/aiohttp-socks/aiohttp-socks-0.8.1.ebuild b/dev-python/aiohttp-socks/aiohttp-socks-0.8.1.ebuild
new file mode 100644
index 000000000000..2224b12703c0
--- /dev/null
+++ b/dev-python/aiohttp-socks/aiohttp-socks-0.8.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS proxy connector for aiohttp"
+HOMEPAGE="
+ https://pypi.org/project/aiohttp-socks/
+ https://github.com/romis2012/aiohttp-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/aiohttp-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aiohttp-2.3.2[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/tiny-proxy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/argparse-manpage/Manifest b/dev-python/argparse-manpage/Manifest
index 546054cdae79..1bc1b742eeb2 100644
--- a/dev-python/argparse-manpage/Manifest
+++ b/dev-python/argparse-manpage/Manifest
@@ -1,3 +1,5 @@
DIST argparse-manpage-4.3.gh.tar.gz 54479 BLAKE2B de6b6a5c449eebbd4aae207cfeadc6b16baf33e4ed0b6cc886921ee2e2dcdb48ae25f160dd6679da26fc6566fa483a864bc6dd4a0af800b853452405007f58c0 SHA512 9541ddcbddbd12c2fd0d72cc229d453d5d1d25eb915123c26b9040c6a97db6a72bb4002ada5a86620e9caff7c9bc588f1ee7d0c8241b6369cfb28b0271afdbc3
+DIST argparse-manpage-4.4.gh.tar.gz 54603 BLAKE2B 2068e5eb8cf6eecdc4128e0cbb47927577f636178a38ae9ed18cb6aa42baa1dc814b95cb67b3299bd62fc1a63bc25db53cf844b24261b1e2bef9b3dd649cad11 SHA512 d2e1978fec14b6e13d1004a1ae779829c4a584f6fc4e10bd3f5651f72095a1fe010856fec26f6a504c8ce47c95b0124a427f2853c4936987c347ecfb42d28ac1
EBUILD argparse-manpage-4.3.ebuild 771 BLAKE2B 0f8e319d15249e9137ee871a9d429664d028205ccc08562ab846526eeb33baf76b89931a73972b1d1b21416cf64fe90052c336f966a0b04b8c5aac77e89ded05 SHA512 576baeb013a56198904201dd323308d2c5aea601d679c2c249784bfe147bf35353c20c40c3b88a86e6d1989f9f2d1d36bbb4fe8ec1143741ec1ad5f201b53f50
+EBUILD argparse-manpage-4.4.ebuild 766 BLAKE2B c7f61af865af145964d93058fa3d86edd77af95cca6cabd235b07f3f21ec0969148fb94aa2703ff62a058729442ae7480260ccdf5625c4866dd9223db4c8d035 SHA512 5d9d88cc38f6dabc5816f2268e071de4842f9934b611593866ffd582ceb8bad2a86d46eda766d664838f4f294f6bdcf7b24991f3b5a13a87e4086d57883d2011
MISC metadata.xml 519 BLAKE2B 00b4602e0a0c0b614c6f98133a0651ac75938c09fc19987fa86f725d05d6f94e91e3c7a2dfeab29f1875db096b34575d3ce628bfbcbaabc8d91f65ca83840b2c SHA512 bca860e8471e486b4fe3e3f003b02de5b93643fb916b7550372b5c46f310eb887999ee49beb6d3f3dd7c72f0b8ca7f5d2f62a25807cf54a224494f65497a9377
diff --git a/dev-python/argparse-manpage/argparse-manpage-4.4.ebuild b/dev-python/argparse-manpage/argparse-manpage-4.4.ebuild
new file mode 100644
index 000000000000..0c9b3e3aa2cd
--- /dev/null
+++ b/dev-python/argparse-manpage/argparse-manpage-4.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically build man-pages for your Python project"
+HOMEPAGE="
+ https://github.com/praiskup/argparse-manpage/
+ https://pypi.org/project/argparse-manpage/
+"
+SRC_URI="
+ https://github.com/praiskup/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/pip[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ epytest
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index ad45451cda58..84173fe16ab6 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -5,11 +5,20 @@ AUX django-4.0-bashcomp.patch 2021 BLAKE2B f04c83b500a92ea8ef9609225191e38a41b33
AUX django-4.2.3-py312.patch 948 BLAKE2B 3244e7de8b118cd7ae07d3bc829ebb53c137552b6bcd7beebc5c47d9bde1e3b35853cacc5073688dc29c70ca70dcd8a4c573b0ba0209aa629aeb140bce51d3ee SHA512 4af5229ea2971a806cff9fca80359c9af276c10f3d3aa308e09c4bb7a621de14465cdd5de1c401586498a312449d37992d30f1c28d6e27c9f046ab539501ae55
DIST Django-3.2.20.checksum.txt 2559 BLAKE2B db638871c5fd57d05000fd4765a8a0d1b2cc198ec7879fbcd76a11021b0cecd334cea50f27cd0215143fb735429e7aba6638f9783a632009054226b2acd2080c SHA512 dc82a2ead2cd9167a0d0309475d57e0a63b0f35bb2dae4f0a2240c3ab2f3425a748eb7cc66cca678904b1907192457fb3fbc867119329d3daf1fd4230f9a615e
DIST Django-3.2.20.tar.gz 9831078 BLAKE2B 3591081804dd08188f41ce0b2013b4d7a9adc992b8136ad76ff7a9c49436e6d26e659136e3463c40b380f441448aba8ead4de3e3c7726ec6908830719bef8dcd SHA512 32555552e3929718c998ecb7ca2f39b94bbce378cd3c2b633d497fdf58e435fc7a0a89e22bdfdfcb8e5e6884d909103c0f4b545ee0c01fe58a0ba9dd6eed992b
+DIST Django-3.2.21.checksum.txt 2564 BLAKE2B a075e02b5b4d939a511848894ccea8eeb2c101f0f1369996c3c1f11acf34c26474e3f0596e44dc2da91e1ff3f3ad75e0d27227abbb41c7fd530e18bfdea6a349 SHA512 37ae3b2a804374b56c9fcfe2a18dea8f3fd49d605893c861965be35b21155fa98950fd8970607003be9738bfbcc38e50e2bdd4971dfdaa97e149d3ebb20edcdc
+DIST Django-3.2.21.tar.gz 9836824 BLAKE2B f91f1b26454f4e3f19033fca4b34bb2a59abd8a7ac7716512fb791732d447b79b825d63496d8615827d7e8ae07c1d2e80d76876153fc1a29b775782d63324cb8 SHA512 614d5e79c323f43d893ca235d81f1cb06287ead56aa5b7baf9930b9a99446d77ec111c65675a864cbf7cf2b9dfceaa0ffab389855da9d7a5c6e36067ab42e5dd
DIST Django-4.1.10.checksum.txt 2559 BLAKE2B 103d1de6ec0da3a2440ea339388e2525ef5770f896be2383cf1828315e2c04ff8f5f8efe4d705dfcb905d453c25b8660410d4ab1b9d61331bc150a16ad857a28 SHA512 f23599dd06889a49c4fbb0c8c7b8f39ebaecbcb02c88ef95cdf33ea0c6563f3cf5c924d8b9a8b81e7b5aa17b6a1469b95e422faa7a53eb759bff516e053f302c
DIST Django-4.1.10.tar.gz 10513572 BLAKE2B 0f1ef14fcf40cb6952fc459855a4e633e2d21c252a4732b27f8e980af6277ef69869a65a7bd0508fd7cdbd82742cb838170d965219b2919679ac92abfef087b6 SHA512 f31ad6fcce3bea0e0f895ec14b063485edec70872aa9c317243a38fb49b6c863159afc5aa31fb5c7a824c737f520f25cfbef55781c23fa0a204b61cefc66fb01
+DIST Django-4.1.11.checksum.txt 2564 BLAKE2B 55021666213384900c1871d939594bcb38b288870ff3337553d76eb2e0797c6394ec268f0c27768ceddfe9fa83027126de9de5d89ec314b2b6d6e3e7273f6534 SHA512 f36f1fb5fbdc1bee86512316e54dee4d70b535cc87b69d583a7d1b8ca1beeb7cf487484f189436e5116bb7220a18f1b627fe886dd40a11bd1ac29c12222f6321
+DIST Django-4.1.11.tar.gz 10511539 BLAKE2B 9c4c5d6d1d56f064737dc38fe6e8ace77ca166790471806c701040afb4b05034104d4f70a177ee65aab3f41b7e52418b254148cb72e9db61a77c97fb57808ce0 SHA512 00e546c26f5a5f5f3d15b1524922a9d25d04b1b5291ee669369462831ba0c9027ca1369ac1a442b6f2216c453b89acade777513ac1a93ca3274b7e9291bf9d60
DIST Django-4.2.4.checksum.txt 2571 BLAKE2B 062b53fc43bc12343a11161904c8938fe852f8868c4de6282f567b495992ce06494d327b495b03c8dc92cccf76396efe4b12dfbd0616d2b3c58c2e6239760e63 SHA512 0d4599816935645f141d1267b6ca22db238b614576c7225da9ba2cc84957e5668be25654a10a1bfc715e9e6e355db9a6f824dc11303fcb14af10a60a056950d4
DIST Django-4.2.4.tar.gz 10393648 BLAKE2B 1c0c19f58bc3e02d12593b942eca23f5eaf8ee5106f6d518d97fad46f0c65dcdd94b192142969d95be9537fb1cca08a0ca55e089702d8bd51122f381adc0a319 SHA512 e773a54ce6ad82abfac462f543c54e414c216ecb28025fab9bf92e4f1add4fbc9acf831e765b638f560a71f6d7591eaa1a8ed6175c3379d5662a94b6a64f2c77
+DIST Django-4.2.5.checksum.txt 2554 BLAKE2B 7c0e9719a28a19bccbf8dc95e2d4ea07f5307b6df44f2d47c1a2a426a3021f0e1c0f83e93df256c64bb11a9d5d45605b9fe22ac5ae20d70f8fcb5a69d5859979 SHA512 4aaab80511a0442fb65ead16a468e2d2a152f1fea6c9a631e79933c6be43e0077aa443cbe13c6a9776b5a897b57c976d9b7b3e1472156b1a3e3f7d865ca79eb3
+DIST Django-4.2.5.tar.gz 10418606 BLAKE2B 271745dce0ec4d03f118afb328d0154e3e42a29775cb05dd8271f114770e568da19f0c9e3a2dd28379ad0e7dd0d89db37cd64856d2af5927fbe02fccd7bf1e91 SHA512 bf6a7bbb8f0a47d1e97ad9a231340567e5ee10bf399be6ff0edc2538db8cb8a082ea93529954140e7fab0672654e6fe9238d61381419495b53737b4a6dc9de1e
EBUILD django-3.2.20.ebuild 3025 BLAKE2B 24d95da51e360bcf21cdd0ad5bafcab5a4ca771a75035b3c26e8bb68e7d4cf636c30af4c4ba577d2b1a19837ce63823e22129f5dc7be4a493ff2e052d9ba1170 SHA512 7250d22b1dc66870111897dedc912c90f70704c75e6a93fda08b8c20db525c8937b218a318b45410a2bf44b64153c5e4435062575b3ad0074708ba0bf51a3b87
+EBUILD django-3.2.21.ebuild 3029 BLAKE2B 9189884296629c423132e1a86461aefea3e46c760579c2730ae12ff1fa1dac449c8dc68f62b1bdb303101e121ec2248e6327cf167ec9eeb8c71b27a6d6bddd5f SHA512 aba9ac53b203d989fdc080914f1ef60581d238519119ab38208e203b4e3b05a21e93f16d15c1e780d9eb5f9040bba6a00f467dfa9ff44943245c96180c7db9fb
EBUILD django-4.1.10.ebuild 2648 BLAKE2B 6f8dd38c7c971d2a491b823aacdff02484827e70be698f415ad3472bced34ea2d74ee934a17f13f43e7362888275bf8aec750231d6f75c6740745a1c0afe849f SHA512 d57119bd84757b49b8bff391e85f9d0bdfae6e9e3d83dd12e560d0a92ab59e1608a0f08700d7e7e30c936d68433f58052723c171b543823e9eb09e1e2d43fa95
+EBUILD django-4.1.11.ebuild 2652 BLAKE2B bc57e449bfb519e496a02cc8735813de2877e21ff2ae68f739208a5c97e87a453f7b9c711f5ae6548a3a021a3e3fe57e55df16d6bf2b8545e16e8cc118d3d64a SHA512 9b67663317e18a7cb497c35c6882f8a4917dd1af30ba94cc0abbad309296cf495aef9b5818df1b29f514da12692d8bef82075885ba8b717b2574069b5271cb84
EBUILD django-4.2.4.ebuild 2689 BLAKE2B 8c8c17469067a0cbc32140bdbca2f60de2ecde75fa4d2837331c47ed85d0f1c8f1b2976d54ad5f342a0c8ebb208ca7926f8127ec8cc0666bee7419ea4442e4b3 SHA512 698b10d5298bbef716e3a6f1c256c64ba2625322ea6a20925b681f36b80c69f2f8772e868d0a52e8c4fe97e9a99d0dcfa9b700e1829231a7eb3a0c6bac2f778f
+EBUILD django-4.2.5.ebuild 2693 BLAKE2B a58e8a65ba53dd0c807e41738284b11b0711a57a7a83c3a9b7b88e6206dc81fef798258de1fc7de77e883e083cc0156bf8f053b7f6b8016ccda3ca05942853e0 SHA512 769933ae9b15e55c6e014bee057ccb52be6d4a5f884b0d4d5d4971bd0618ffe182ad7c22d06fc40ccd02efeb6375698ff3dfbcaef8d2a13240700d669e5fe720
MISC metadata.xml 400 BLAKE2B 6b3414ac734f078d90c82b44edd2f9f70e494e98da8a3d874d18006ae5e0eb5f7060b98b402094d6045e800bf525586f2566e6f554a8b2999cce37bdcc5472a0 SHA512 1cf0bb6ef93da3abbd1a66878462b1b8672a9b8fccd7f968b427e429caa6ecf30cb703a6060d621ccad1ba77b927d2b0e632b04b0a47975918ccbfcc5f2b85f7
diff --git a/dev-python/django/django-3.2.21.ebuild b/dev-python/django/django-3.2.21.ebuild
new file mode 100644
index 000000000000..ca46ed4c7d3b
--- /dev/null
+++ b/dev-python/django/django-3.2.21.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+ "${FILESDIR}"/django-3.2.19-py311.patch
+ # needed for Python 3.11
+ "${FILESDIR}"/django-3.2.20-urlsplit.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_prepare_all() {
+ # Fails because of warnings
+ sed -i 's/test_dumpdata_proxy_with_concrete/_&/' tests/fixtures/tests.py || die
+ # TODO: this suddenly started failing
+ sed -i -e 's:test_custom_fields:_&:' tests/inspectdb/tests.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/django/django-4.1.11.ebuild b/dev-python/django/django-4.1.11.ebuild
new file mode 100644
index 000000000000..627b1753e2a1
--- /dev/null
+++ b/dev-python/django/django-4.1.11.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.5.2[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/django/django-4.2.5.ebuild b/dev-python/django/django-4.2.5.ebuild
new file mode 100644
index 000000000000..0afb8410b128
--- /dev/null
+++ b/dev-python/django/django-4.2.5.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20230606 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/django-4.0-bashcomp.patch
+ "${FILESDIR}"/django-4.2.3-py312.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 9e533e3cd507..b0bf64cfc8fe 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,6 +6,7 @@ DIST hypothesis-6.82.6.gh.tar.gz 9379121 BLAKE2B f6f6803e07fa10663f9f3ad60915f17
DIST hypothesis-6.82.7.gh.tar.gz 9379221 BLAKE2B ccb35d84bd9fe6b68f396575ed7f55ad4a615870bcfd881e60a6d9813b5713f573d947aaaa594c553bd408c9d8709502f5323382a77662a26238114c414feb3d SHA512 b26d459a1b7c5f363830b20d4787f3e7bbac647eb82b94d8d02be3337f77707c6c4de1676b5fb0fabb049b0becab1a73191967ee435cbc096f797fca8cfb0a01
DIST hypothesis-6.83.0.gh.tar.gz 9380147 BLAKE2B ec878cbd6def0cfd8b8c638775c00e42be30f5129f0083544260be1e2123756266bde67cc1ef3b49a6d47c7827eec7bfe2695dfc113d0af9c205071e6d3c2cf8 SHA512 b68f8e6a4d4aae138ce1bf30fde1870cd23d80dde583a0a758b1ac1baf949bcac8622770ae01b761d0760dc63bba80d630e8cd4ba83174ba6d0924a41a7f7c9e
DIST hypothesis-6.83.1.gh.tar.gz 9380569 BLAKE2B a1af77a089ade4a957fd66036095436861ff96dca3c9670ae87f28ba4223531168175329a43574c744ce0d91786bed2ed911837642c9506341f94875080e5a5b SHA512 4649061550b0d1ac96217c5cfd5e6eb44352eee6b81861fd93138fffaac3d85a87644c3faff221f6bb389f2bebdc47436f5ea70fc746aada2d25c78a74a21fec
+DIST hypothesis-6.84.0.gh.tar.gz 9383310 BLAKE2B 3b269214d341dbdf88b529e3c04dc613eb0d79db4748462b0637f118daceb721fcb4779ea030fc872ebab272e9b92419c7ac0b33ee7648ff73a425bc272cd095 SHA512 956db7837d6cf12e425d088593b227d777c56fc51f49e62e6767141d307c9df10a3273e30532eea6288689ed58e03ab9bd975c66fec940d0a72f8079e359d918
EBUILD hypothesis-6.81.2.ebuild 2505 BLAKE2B 3300ad59224b47e57e712fe267ffb203a8133ea8a4034475ca10ba245d7601d4eff5f04ed65033fb71277e5a068ceb1a0eaf9f51d8ca7133967d0eb3b2b677ad SHA512 c8b4e2846301c52b8b8f1a7a610051b9ed1b268b806ec6442a0bed45382203e98796a02992f3edcecd1db6dcdc0799a9d6af70c9f58df119388a0898c45bc611
EBUILD hypothesis-6.82.3.ebuild 2502 BLAKE2B b16e9f92ad6000402fa02a5eb4d1e1367c5359c0b92a213508ced51afc1c93efc34a3eaffe9843eddb66b871ec2cdc009ce6a5990da2ab391b4026386f31387f SHA512 ae1722ba72d73ec70bae25ba9fa00a489ff029b8030e26e6b6d4168043ac7c7ac005db91488b9ea68f015dae929ea0ffd1e18739f7204d36fd3d97bd81b02781
EBUILD hypothesis-6.82.4.ebuild 2502 BLAKE2B b16e9f92ad6000402fa02a5eb4d1e1367c5359c0b92a213508ced51afc1c93efc34a3eaffe9843eddb66b871ec2cdc009ce6a5990da2ab391b4026386f31387f SHA512 ae1722ba72d73ec70bae25ba9fa00a489ff029b8030e26e6b6d4168043ac7c7ac005db91488b9ea68f015dae929ea0ffd1e18739f7204d36fd3d97bd81b02781
@@ -14,4 +15,5 @@ EBUILD hypothesis-6.82.6.ebuild 2502 BLAKE2B b16e9f92ad6000402fa02a5eb4d1e1367c5
EBUILD hypothesis-6.82.7.ebuild 2502 BLAKE2B b16e9f92ad6000402fa02a5eb4d1e1367c5359c0b92a213508ced51afc1c93efc34a3eaffe9843eddb66b871ec2cdc009ce6a5990da2ab391b4026386f31387f SHA512 ae1722ba72d73ec70bae25ba9fa00a489ff029b8030e26e6b6d4168043ac7c7ac005db91488b9ea68f015dae929ea0ffd1e18739f7204d36fd3d97bd81b02781
EBUILD hypothesis-6.83.0.ebuild 2519 BLAKE2B 4a6da12f06a6172d03a6404f2869e1c71a39d97961d93c8b1af4369597d00b773b16f7fc40a8bd80c4b2525c490d67b708046894feb86403563859cc20c45974 SHA512 aacb5ee7464fc4bef490f9f4bdb558ac38310bfa226c1a49a9b82a854cf814d68b5154386130c68fc396d74650d2533d51487e17ebaef049b283417f5c677cb8
EBUILD hypothesis-6.83.1.ebuild 2519 BLAKE2B 4a6da12f06a6172d03a6404f2869e1c71a39d97961d93c8b1af4369597d00b773b16f7fc40a8bd80c4b2525c490d67b708046894feb86403563859cc20c45974 SHA512 aacb5ee7464fc4bef490f9f4bdb558ac38310bfa226c1a49a9b82a854cf814d68b5154386130c68fc396d74650d2533d51487e17ebaef049b283417f5c677cb8
+EBUILD hypothesis-6.84.0.ebuild 2519 BLAKE2B 4a6da12f06a6172d03a6404f2869e1c71a39d97961d93c8b1af4369597d00b773b16f7fc40a8bd80c4b2525c490d67b708046894feb86403563859cc20c45974 SHA512 aacb5ee7464fc4bef490f9f4bdb558ac38310bfa226c1a49a9b82a854cf814d68b5154386130c68fc396d74650d2533d51487e17ebaef049b283417f5c677cb8
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.84.0.ebuild b/dev-python/hypothesis/hypothesis-6.84.0.ebuild
new file mode 100644
index 000000000000..0d6df2a9e475
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.84.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 6ba2817d720c..c0a705ad86de 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,8 +1,10 @@
AUX imageio-2.22.0-block-download.patch 1211 BLAKE2B c01e3fd7db7463bc11bf331384a21becfc3160d4880a2fd09e47bf0927d97e46787097f50a489b83c2626078b60a0cf8a0d896040981e78c107f1783c8e84c26 SHA512 170261b9fb07ccb7f7a7e058335326df1f72c8d098076bf6ca048a7ca6bac95ddb512b9e41740c385430bc25613249455203addd59931af4e70298e772303964
DIST imageio-2.31.1.gh.tar.gz 411419 BLAKE2B 4167e073daeb4a05cc88cfca78764468d33cb7d3d0ae8a75f43bb40312b44c1e5b0cd1416203addb853a8ada744ff97bdec3dc42685d6aec0ee8e4be839d8490 SHA512 8fa322816ddc041bb84a0b6ac9282fffdfb3894f3594e36c554cec9ae8d0898a7b005b9d43e7b4065fc6ca71301b63e95e46cb0a73ebedbd9004bca0146b535d
DIST imageio-2.31.2.gh.tar.gz 411570 BLAKE2B bf2b92e7d9875ed6285c33ef04baa8b6bb798210bd0c1efcaf81f23a75641964dbd8f9139690928bbecbeae15cc9a7df63898e497b2234b3999dbe91c9b20d78 SHA512 9aff670c10a1cc67c3d71bea6014e5d5bb3da7a63037056f077266005bdc72ec39fcc6afdc5c130753019b00f7306963f133cbf663a3b59490401353e21f74bc
+DIST imageio-2.31.3.gh.tar.gz 411838 BLAKE2B 923a21a211150d2356a2484b6c90dc9c210791c6978457bab54182d9d2ee7557d1935d1550439cd23c2b94b3280fdbed2b7561724784d2d8d331c349ae2c0b21 SHA512 9027cf171e2a0a6137c2b8b28ef864effaea230fce2cadabded12f95a57e627b86e715d8ca3ba7eb02c8d88aa237f0097232d5d8d7b3d4742cf8d35995704c5b
DIST imageio-chelsea.png 221294 BLAKE2B 58537d7a1678fa5be4cc899e5bacd925bfc180eb4ae691330a53749a49ff544e979609b529ed27e5c1fc9efe4bc050ca1ce49b777f4016fb1d66affd926ef9d3 SHA512 48470cdb843eed4dfa6673811c09c5aac9869ee23dd36be0c6b653d9f108d61d21b148c2a4435aaa6604887ba030e5bbc5e35d378da876366445dfc2d0ba4e27
DIST imageio-cockatoo.mp4 728751 BLAKE2B 45b22cd517c1cb7c0cd12f8865facaca6a847047aea716e49633cf2b1dc13826f94787c8a8f9dd5f48c6a896f5d37794c0058da1bde9e1469f196916476dbfa2 SHA512 e9cb7c25de8019c59ba4090cf10ab29f2b5d62ada37a877081ca07d2ecfe010036222ae843b41bbcc843130d97fa5e14421de252639e9481df1d1c27b19add49
EBUILD imageio-2.31.1.ebuild 2078 BLAKE2B 96dba481186189811fcc6baee2f4ad4dd8f4b5d7c30d41d98cb743d333c878a4b2484e1eaddc743e90e5df4f1ec09a6c1eb82ad3aed3502fc1f643cca30059db SHA512 e74789d621596c833dec2d9971d90fd1deb45fabc230e71b128053a72e777b16629987c12622f4934aa69732e68426468de2a54454e3acda3ebad9b2a4cf7aa4
EBUILD imageio-2.31.2.ebuild 2078 BLAKE2B 96dba481186189811fcc6baee2f4ad4dd8f4b5d7c30d41d98cb743d333c878a4b2484e1eaddc743e90e5df4f1ec09a6c1eb82ad3aed3502fc1f643cca30059db SHA512 e74789d621596c833dec2d9971d90fd1deb45fabc230e71b128053a72e777b16629987c12622f4934aa69732e68426468de2a54454e3acda3ebad9b2a4cf7aa4
+EBUILD imageio-2.31.3.ebuild 2078 BLAKE2B 96dba481186189811fcc6baee2f4ad4dd8f4b5d7c30d41d98cb743d333c878a4b2484e1eaddc743e90e5df4f1ec09a6c1eb82ad3aed3502fc1f643cca30059db SHA512 e74789d621596c833dec2d9971d90fd1deb45fabc230e71b128053a72e777b16629987c12622f4934aa69732e68426468de2a54454e3acda3ebad9b2a4cf7aa4
MISC metadata.xml 702 BLAKE2B 646c6a83e6d8e345fddb9cbc42a83c1193b9590937cd652e293d03e6e9d4b240a69e6e86399f5edc9ef05f96d1d4c3713dfa65f8b13984f4483b2ce76a239429 SHA512 5e1e4db52fed55ab837c70ddb9ec81a7ce0b062064e2d33cb5771cd81d50a1a2164e446531c32a405bb9319acd736141765dcd00e36d6db770434a656ad925e1
diff --git a/dev-python/imageio/imageio-2.31.3.ebuild b/dev-python/imageio/imageio-2.31.3.ebuild
new file mode 100644
index 000000000000..07ef8bc8f8b1
--- /dev/null
+++ b/dev-python/imageio/imageio-2.31.3.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+BIN_COMMIT=224074bca448815e421a59266864c23041531a42
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="
+ https://imageio.readthedocs.io/en/stable/
+ https://github.com/imageio/imageio/
+ https://pypi.org/project/imageio/
+"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/imageio/imageio-binaries/raw/${BIN_COMMIT}/images/chelsea.png
+ -> ${PN}-chelsea.png
+ https://github.com/imageio/imageio-binaries/raw/${BIN_COMMIT}/images/cockatoo.mp4
+ -> ${PN}-cockatoo.mp4
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# over 50% of tests rely on Internet
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+# requests for fsspec[github]
+BDEPEND="
+ test? (
+ dev-python/fsspec[${PYTHON_USEDEP}]
+ dev-python/imageio-ffmpeg[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tifffile[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ # block silently downloading vulnerable libraries from the Internet
+ "${FILESDIR}"/imageio-2.22.0-block-download.patch
+ )
+
+ if use test; then
+ mkdir -p "${HOME}"/.imageio/images || die
+ local i
+ for i in chelsea.png cockatoo.mp4; do
+ cp "${DISTDIR}/${PN}-${i}" "${HOME}/.imageio/images/${i}" || die
+ done
+ fi
+
+ distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+ # Fails because of system installed freeimage
+ tests/test_core.py::test_findlib2
+ # Tries to download ffmpeg binary ?!
+ tests/test_ffmpeg.py::test_get_exe_installed
+ # blocked by our patch
+ tests/test_core.py::test_fetching
+ tests/test_core.py::test_request
+ # known broken
+ # https://github.com/imageio/imageio/issues/890
+ tests/test_freeimage.py::test_exr_write
+)
diff --git a/dev-python/sphinxcontrib-apidoc/Manifest b/dev-python/sphinxcontrib-apidoc/Manifest
index fd5c4598585c..c66a6a6e129a 100644
--- a/dev-python/sphinxcontrib-apidoc/Manifest
+++ b/dev-python/sphinxcontrib-apidoc/Manifest
@@ -1,3 +1,5 @@
DIST sphinxcontrib-apidoc-0.3.0.tar.gz 15396 BLAKE2B de726316daa81eae1a8012c8be4acf3850f910af562d23dc17194afc86b40daf632bd5cdd61153299f35f3326b181c3b67e75925f0d95ce4cea81e1766c7828d SHA512 043f9b36eaff7b3f6d23c834dd3947e2b029c66010b3862f1658f03e0fb6c4aac3304f49465dd515a30107a685dc704a0e319675c9d7b27897445a2c315d07a1
+DIST sphinxcontrib-apidoc-0.4.0.tar.gz 15958 BLAKE2B 9cd806eb36cd2aa35c797b35e8e699c4a918e8e3d19e36ea9d79eb73dfce301a24ee33bc647ba180283837488aa00628b4882d08c3d492b196a4f663cad26f48 SHA512 1e33fd6df91adfb65ea511fe5ee55ccff9a237488cca406f46b33a2bf8eb69b884b274e9c94bfd868fef67b2e0dfbb19f5e2d62486c54a85755a9034ca5c715c
EBUILD sphinxcontrib-apidoc-0.3.0-r1.ebuild 809 BLAKE2B 9d60f2967092280fa47628bbb63132ad7edd32f9200e2e00555ff2ff135fb8ebab7cfdaff83e5dbe7dd44c31ca2d2e5eb86cd2ee4dee904098d2d1d2d39e994d SHA512 05f445b9067992d76ab747a7cee36ffd32e92fe54dc4476ebe2ae86397e0fcee1e94b0c2f48a8e503d5f5920b72cea35a75a032c325de97dd24d022efd583aa0
+EBUILD sphinxcontrib-apidoc-0.4.0.ebuild 817 BLAKE2B 82777be0ffebd8203f9819f71854a18a480e985a30f2fad36d3f93bf0fdf5144bea75bd0698c5a076a8d50d5d6d906f0f059990f03eb016cb89431913e4d5c8b SHA512 8c21d12752296514ab3b41ad615e9ae97922bc0177961c45997aedeaf905753547f3f5712aa10741770bac50b8ed5e9868ca5b5dfab9e5daa6acbbd30d3eadf7
MISC metadata.xml 409 BLAKE2B 4a1905b020761f1b3e3ffa69e80ca1fc04cb1e9b8fabff5bb92e8f0d95b1d1e47c5bfb337bfe61d6cd0fd5963971370c20ebc751809f218da66b0f30df6c23eb SHA512 832d5ea299a022f6cc60557f5fb433c72a83026cf3b997ca2fd43c278d86e84afdc39db12fbce0811846b44f65ed09397e0b5adcb9221f780d8c98b51b22bbd7
diff --git a/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.4.0.ebuild b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.4.0.ebuild
new file mode 100644
index 000000000000..78b537d913ed
--- /dev/null
+++ b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.4.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension for running sphinx-apidoc on each build"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-apidoc/
+ https://github.com/sphinx-contrib/apidoc/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${BDEPEND}
+ >=dev-python/sphinx-5.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}